Ext.namespace("dSS", "dSS.config", "dSS.gthelper");

dSS._ = function(msgid, arg1, arg2) {
    // if the langpack could not be loaded we will still offer a functioning
    // UI in the default language
    if (dSS.gt === undefined) {
        return msgid;
    }

    if (arguments.length === 1) {
        return dSS.gt.gettext(msgid);
    } else if (arguments.length === 2) {
        return dSS.gt.ngettext(msgid, arg1);
    } else if (arguments.length === 3) {
        return dSS.gt.ngettext(msgid, arg1, arg2);
    }

    return msgid;
};

dSS.gthelper.getDialogConfig = function(key) {
    var lang = dSS.config.language;
    // we know that german is always there, if a new languages is requested
    // which the UI is not yet aware of, use default german widths
    if (dSS.config.dialogSettings[lang] === undefined) {
        lang = 'de_DE';
    }

    val = dSS.config.dialogSettings[lang][key];
    if (val === undefined) { // fallback to German which is "default"
        val = dSS.config.dialogSettings['de_DE'][key];
    }
    return val;
};
